Bug 803971 - Return status is 0 even though rebalance operation was unsuccessful.
Return status is 0 even though rebalance operation was unsuccessful.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: shylesh
Vijaykumar Koppad
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-16 03:16 EDT by Vijaykumar Koppad
Modified: 2015-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:53:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa42
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2012-03-16 03:16:04 EDT
Description of problem:
root@vostro:~# gluster volume rebalance doa fix-layout start
Starting rebalance on volume doa has been successful
root@vostro:~# gluster volume rebalance doa fix-layout stop
Usage: volume rebalance <VOLNAME> [fix-layout] {start|stop|status} [force]
root@vostro:~# echo $?
0
root@vostro:~# gluster volume rebalance doa stop
                                    Node Rebalanced-files          size       scanned         status
                               ---------      -----------   -----------   -----------   ------------
    008069aa-cc3a-479a-905b-681c447923f8                0            0            0     completed
Stopped rebalance process on volume doa 


Version-Release number of selected component (if applicable):
[5e50175f56d05ab6c1295b0e0f0c11695e49c277]3.3.

How reproducible:always
Comment 1 Anand Avati 2012-04-24 12:42:10 EDT
CHANGE: http://review.gluster.com/3216 (cli: Return -1 if fix-layout stop is issued) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.